#ifndef CASSINIINDEXFILEVIEWER_H
#define CASSINIINDEXFILEVIEWER_H

#include <QWidget>
#include <cassiniindexfile.h>

namespace Ui {
class CassiniIndexFileViewer;
}

class CassiniIndexFileViewer : public QWidget
{
    Q_OBJECT

public:
    explicit CassiniIndexFileViewer(QWidget *parent = 0);
    ~CassiniIndexFileViewer();

public slots:
    void filterCol(const QString& pattern);
    void loadFile();
protected:
    void changeEvent(QEvent *e);

private:
    Ui::CassiniIndexFileViewer *ui;
    CassiniIndexFile* indexFile;
};

#endif // CASSINIINDEXFILEVIEWER_H
